Loading...
Searching...
No Matches
coap_oscore_conf_t Struct Reference
Libcoap Internal API » OSCORE Support

The structure used to hold the OSCORE configuration information. More...

`#include <coap_oscore_internal.h>`

Collaboration diagram for coap_oscore_conf_t:
[legend]

## Data Fields

coap_bin_const_t * | master_secret
| Common Master Secret.
coap_bin_const_t * | master_salt
| Common Master Salt.
coap_bin_const_t * | sender_id
| Sender ID (i.e.
coap_bin_const_t * | id_context
| Common ID context.
coap_bin_const_t ** | recipient_id
| Recipient ID (i.e.
uint32_t | recipient_id_count
| Number of recipient_id entries.
uint32_t | replay_window
| Replay window size Use COAP_OSCORE_DEFAULT_REPLAY_WINDOW.
uint32_t | ssn_freq
| Sender Seq Num update frequency.
cose_alg_t | aead_alg
| Set to one of COSE_ALGORITHM_AES*.
cose_hkdf_alg_t | hkdf_alg
| Set to one of COSE_HKDF_ALG_*.
uint32_t | rfc8613_b_1_2
| 1 if rfc8613 B.1.2 enabled else 0
uint32_t | rfc8613_b_2
| 1 if rfc8613 B.2 protocol else 0
uint32_t | break_sender_key
| 1 if sender key to be broken, else 0
uint32_t | break_recipient_key
| 1 if recipient key to be broken, else 0
coap_oscore_save_seq_num_t | save_seq_num_func
| Called every seq num change.
void * | save_seq_num_func_param
| Passed to save_seq_num_func()
uint64_t | start_seq_num
| Used for ssn_freq updating.

## Detailed Description

The structure used to hold the OSCORE configuration information.

Definition at line 36 of file coap_oscore_internal.h.

## Field Documentation

## aead_alg

cose_alg_t coap_oscore_conf_t::aead_alg

Set to one of COSE_ALGORITHM_AES*.

Definition at line 47 of file coap_oscore_internal.h.

## break_recipient_key

uint32_t coap_oscore_conf_t::break_recipient_key

1 if recipient key to be broken, else 0

Definition at line 54 of file coap_oscore_internal.h.

## break_sender_key

uint32_t coap_oscore_conf_t::break_sender_key

1 if sender key to be broken, else 0

Definition at line 53 of file coap_oscore_internal.h.

## hkdf_alg

cose_hkdf_alg_t coap_oscore_conf_t::hkdf_alg

Set to one of COSE_HKDF_ALG_*.

Definition at line 48 of file coap_oscore_internal.h.

## id_context

coap_bin_const_t* coap_oscore_conf_t::id_context

Common ID context.

Definition at line 40 of file coap_oscore_internal.h.

## master_salt

coap_bin_const_t* coap_oscore_conf_t::master_salt

Common Master Salt.

Definition at line 38 of file coap_oscore_internal.h.

## master_secret

coap_bin_const_t* coap_oscore_conf_t::master_secret

Common Master Secret.

Definition at line 37 of file coap_oscore_internal.h.

## recipient_id

coap_bin_const_t** coap_oscore_conf_t::recipient_id

Recipient ID (i.e.

remote peer id) Array of recipient_id

Definition at line 41 of file coap_oscore_internal.h.

## recipient_id_count

uint32_t coap_oscore_conf_t::recipient_id_count

Number of recipient_id entries.

Definition at line 43 of file coap_oscore_internal.h.

## replay_window

uint32_t coap_oscore_conf_t::replay_window

Replay window size Use COAP_OSCORE_DEFAULT_REPLAY_WINDOW.

Definition at line 44 of file coap_oscore_internal.h.

## rfc8613_b_1_2

uint32_t coap_oscore_conf_t::rfc8613_b_1_2

1 if rfc8613 B.1.2 enabled else 0

Definition at line 49 of file coap_oscore_internal.h.

## rfc8613_b_2

uint32_t coap_oscore_conf_t::rfc8613_b_2

1 if rfc8613 B.2 protocol else 0

Definition at line 50 of file coap_oscore_internal.h.

## save_seq_num_func

coap_oscore_save_seq_num_t coap_oscore_conf_t::save_seq_num_func

Called every seq num change.

Definition at line 57 of file coap_oscore_internal.h.

## save_seq_num_func_param

void* coap_oscore_conf_t::save_seq_num_func_param

Passed to save_seq_num_func()

Definition at line 59 of file coap_oscore_internal.h.

## sender_id

coap_bin_const_t* coap_oscore_conf_t::sender_id

Sender ID (i.e.

local our id)

Definition at line 39 of file coap_oscore_internal.h.

## ssn_freq

uint32_t coap_oscore_conf_t::ssn_freq

Sender Seq Num update frequency.

Definition at line 46 of file coap_oscore_internal.h.

## start_seq_num

uint64_t coap_oscore_conf_t::start_seq_num

Used for ssn_freq updating.

Definition at line 60 of file coap_oscore_internal.h.

The documentation for this struct was generated from the following file:

- coap_oscore_internal.h